{
  "name": "@drieke/componentbase",
  "version": "1.0.0",
  "description": "base class and templating engine for custom element web components",
  "type": "module",
  "browser": "package/index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build:demo": "esbuild demo/index.ts --bundle --outfile=demo/index.js",
    "build:package": "tsc --watch"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/dario.rieke/componentbase.git"
  },
  "files": [
    "package",
    "tsconfig.json"
  ],
  "keywords": [
    "component",
    "typescript",
    "custom",
    "element"
  ],
  "author": "Dario Rieke",
  "license": "UNLICENSED",
  "bugs": {
    "url": "https://gitlab.com/dario.rieke/componentbase/issues"
  },
  "homepage": "https://gitlab.com/dario.rieke/componentbase#readme",
  "dependencies": {
    "construct-style-sheets-polyfill": "^3.0.5"
  },
  "devDependencies": {
    "esbuild": "^0.14.9",
    "typescript": "^4.5.4"
  }
}
